package cygx

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type CygxReportSelectionSubjectHistory struct {
	Id                  int       `orm:"column(id);pk"`
	ArticleId           int       `description:"文章ID"`
	UserId              int       `description:"用户ID"`
	CreateTime          time.Time `description:"创建时间"`
	ModifyTime          time.Time `description:"修改时间"`
	Mobile              string    `description:"手机号"`
	Email               string    `description:"邮箱"`
	CompanyId           int       `description:"公司id"`
	CompanyName         string    `description:"公司名称"`
	IndustrialSubjectId string    `description:"标的ID"`
}

// 列表
func GetCygxReportSelectionSubjectHistoryList(articleId int) (items []*CygxReportSelectionSubjectHistory, err error) {
	o := orm.NewOrmUsingDB("hz_cygx")
	sql := `SELECT * 
			FROM
			cygx_report_selection_subject_history AS l
			WHERE l.article_id = ? `
	_, err = o.Raw(sql, articleId).QueryRows(&items)
	return
}
